Rocketlead
  1. Provision
Rocketlead
  • Accounts
    • List WA accounts
      GET
    • Get account by ID
      GET
    • Get account activity
      GET
    • Register phone on WhatsApp
      POST
    • Connect WA account
      POST
    • Setup account profile
      POST
    • Toggle account pause state
      POST
    • Update account phase
      PATCH
    • Set account display name
      POST
    • Set account avatar
      POST
  • Campaigns
    • List campaigns
      GET
    • Create campaign
      POST
    • Get campaign by ID
      GET
    • Update campaign
      PATCH
    • Delete campaign
      DELETE
    • Add step to campaign
      POST
    • Update campaign step
      PATCH
    • Delete campaign step
      DELETE
    • Reorder campaign steps
      PUT
    • Upload campaign media
      POST
    • Send test message for a campaign step
      POST
    • Start campaign
      POST
    • Pause campaign
      POST
    • Add leads to campaign
      POST
    • List campaign leads
      GET
    • Bulk lead action
      POST
    • Import leads into campaign
      POST
    • Get campaign daily stats
      GET
    • Duplicate campaign
      POST
    • Archive campaign
      POST
  • Leads
    • List all leads
    • List all lead tags
    • Update a lead
    • Bulk delete leads
    • List custom field definitions
    • Create custom field definition
  • Lead Lists
    • List lead lists
    • Create lead list
    • Get lead list by ID
    • Delete lead list
    • List leads in a list
    • Add lead to list
    • Bulk import leads to list
  • Conversations
    • List conversations
    • Get conversation messages
    • Send message in conversation
    • Update conversation tags
    • Toggle conversation read status
    • Schedule a message
    • List scheduled messages
    • Cancel scheduled message
    • List conversation tags
    • Create conversation tag
    • Delete conversation tag
    • Bulk conversation action
    • Get contact by phone
    • Update contact
    • Send test message
  • Agents
    • List agents
    • Create agent
    • Get agent usage stats
    • Get agent by ID
    • Update agent
    • Delete agent
    • Test agent with a message
    • Get competitor analysis
    • Run competitor analysis
  • Warmup
    • Get warmup status
    • Pause warmup for account
    • Resume warmup for account
  • Credits
    • Get current credit balance
    • List credit transactions
  • Orders
    • Create a new order
    • List orders
    • Get order details
  • Provision
    • Start provisioning by requesting OTP
      POST
    • Verify OTP and complete provisioning
      POST
  • Settings
    • Get workspace settings
    • Update workspace settings
  • Knowledge Base
    • List knowledge base sources
    • Create knowledge base source
    • Discover links from URL
    • Delete knowledge base source
    • Re-ingest knowledge base source
    • Get source chunks
    • Get knowledge base stats
  1. Provision

Verify OTP and complete provisioning

POST
/api/v1/provision/verify
Complete the provisioning process by submitting the 6-digit OTP code. On success, the WhatsApp account is connected and profile is set up with the provided display name, bio, business details, and optional profile picture.

Request

Authorization
Body Params application/jsonRequired

Examples

Responses

🟢200OK
Default Response
This response does not have a body.
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/api/v1/provision/verify' \
--header 'Content-Type: application/json' \
--data-raw '{
    "phone": "string",
    "code": "string",
    "displayName": "string",
    "bio": "string",
    "bizAddress": "string",
    "bizCategory": "string",
    "profilePictureUrl": "string",
    "profilePictureFile": "string"
}'
Modified at 2026-03-09 12:24:48
Previous
Start provisioning by requesting OTP
Next
Get workspace settings
Built with